//
// zdict - simple dictionary viewer
// Copyright (C) 2004-2017 Bryan Beicker <bryan@beicker.com>
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
//

#include <gtk/gtk.h>
#include <string.h>		// strcmp()
#include "main.h"


//
// start program
//
int main(int argc, char *argv[])
{
	if (argc > 1) {
		if (strcmp(argv[1], "--version") == 0) {
			g_print("zdict " VERSION "\n");
			return 0;
		}
		if (strcmp(argv[1], "--help") == 0) {
			g_print("zdict " VERSION "\n\n");
			g_print("Options:\n\n");
			g_print("        --help          display this help and exit\n");
			g_print("        --version       output version information and exit\n\n");
			return 0;
		}
	}

	gtk_init(&argc, &argv);
	zdict_create();
	gtk_main();

	return 0;
}
